Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List memory

GET/workspaces/{organizationId}/memory
Path parameters
organizationIdstringrequired
Query parameters
entityTypestring
entityIdstring
kindstring
searchstring
limitstring
Responses
200

Workspace memory facts

memoriesobject[]required
Show properties
Array of object
idstringrequired
entityTypestringrequired
entityIdstringrequired
kindstringrequired
factstringrequired
sourceSessionIdstring | nullrequired
sourceAgentSlugstring | nullrequired
validUntilstring | nullrequired
createdAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/memory' \
  -H 'Accept: application/json'
Response
{
  "memories": [
    {
      "id": "string",
      "entityType": "string",
      "entityId": "string",
      "kind": "string",
      "fact": "string",
      "sourceSessionId": "string",
      "sourceAgentSlug": "string",
      "validUntil": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?